import { php } from './host.js';
import Clipboard from 'clipboard';

export function login() {
	location.href = php + 'app=member&act=login';
}

export function getNavigationBarTitle() {  
    let page = getCurrentPages();  
    if (page && page[0]) {  
        let view = page[0].$holder;
        if (view) {  
            // h5  
            return view.navigationBar.titleText;  
        } else {  
            // app-plus  
            try {  
                view = page.$getAppWebview();  
                if (view) {   
                    const style = view.getStyle()  
                    if (style && style.titleNView) {  
                        return style.titleNView.titleText;  
                    }  
                }  
            } catch (e) {  
                if (process.env.NODE_ENV !== 'production') {  
                    console.log('getCurrentPages is not ready')  
                }  
            }  
        }  
    }  
    return undefined;  
}

export function isWeixin(){
	if (/MicroMessenger/.test(window.navigator.userAgent)) {
		return true;
	} else {
		return false;
	}
}

// 获取本地缓存
export function getCache (key){
	const timestamp = Date.parse(new Date()) / 1000;
	if(key){
		var val = uni.getStorageSync(key);
		var tmp = val.split("|");
		// 缓存失效
		if(!tmp[1] || timestamp >= tmp[1]){
			uni.removeStorageSync(key)
			return "";
		}else{
			return tmp[0] || "";
		}
	}
}

// H5复制

export function handleClipboard (text, event, onSuccess, onError) {
  event = event || {}
  const clipboard = new Clipboard(event.target, {
    text: () => text
  })
  clipboard.on('success', () => {
    onSuccess()
    clipboard.off('error')
    clipboard.off('success')
    clipboard.destroy()
  })
  clipboard.on('error', () => {
    onError()
    clipboard.off('error')
    clipboard.off('success')
    clipboard.destroy()
  })
  clipboard.onClick(event)
}